package com.njcn.web.factory;

import cn.hutool.core.util.ObjectUtil;
import com.njcn.web.pojo.param.BaseParam;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月20日 16:26
 */
public class PageFactory {


    /**
     * 默认第一页
     * @param baseParam 查询参数
     */
    public static Integer getPageNum(BaseParam baseParam) {
        return ObjectUtil.isNull(baseParam.getPageNum()) || baseParam.getPageNum() == 0 ? 1 : baseParam.getPageNum();
    }

    /**
     * 默认10条记录
     * @param baseParam 查询参数
     */
    public static Integer getPageSize(BaseParam baseParam) {
        return ObjectUtil.isNull(baseParam.getPageSize()) || baseParam.getPageSize() == 0 ? 10 : baseParam.getPageSize();
    }
}
